=== sources/main/CMakeLists.txt ===
#CMakeLists.txt

set(MAIN_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/translator.cpp
                 ${CMAKE_CURRENT_SOURCE_DIR}/htinterface.cpp
                 ${CMAKE_CURRENT_SOURCE_DIR}/options.cpp
                 ${CMAKE_CURRENT_SOURCE_DIR}/httraqt.cpp
                 ${CMAKE_CURRENT_SOURCE_DIR}/AboutDialog.cpp
                 ${CMAKE_CURRENT_SOURCE_DIR}/buttonPanel.cpp
                 ${CMAKE_CURRENT_SOURCE_DIR}/ConfirmTab.cpp
                 ${CMAKE_CURRENT_SOURCE_DIR}/FinalTab.cpp
                 ${CMAKE_CURRENT_SOURCE_DIR}/InsertUrlDialog.cpp
                 ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
                 ${CMAKE_CURRENT_SOURCE_DIR}/NewProjTab.cpp
                 ${CMAKE_CURRENT_SOURCE_DIR}/OptionsTab.cpp
                 ${CMAKE_CURRENT_SOURCE_DIR}/ProgressTab.cpp
                 ${CMAKE_CURRENT_SOURCE_DIR}/StartTab.cpp
                PARENT_SCOPE)

set(MAIN_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/includes/httraqt.h
#                 ${CMAKE_CURRENT_SOURCE_DIR}/includes/htsnet.h
                ${CMAKE_CURRENT_SOURCE_DIR}/includes/htinterface.h
#                 ${CMAKE_CURRENT_SOURCE_DIR}/includes/htsstrings.h
                 ${CMAKE_CURRENT_SOURCE_DIR}/includes/options.h
                 ${CMAKE_CURRENT_SOURCE_DIR}/includes/translator.h
                 ${CMAKE_CURRENT_SOURCE_DIR}/includes/AboutDialog.h
                 ${CMAKE_CURRENT_SOURCE_DIR}/includes/buttonPanel.h
                 ${CMAKE_CURRENT_SOURCE_DIR}/includes/FinalTab.h
                 ${CMAKE_CURRENT_SOURCE_DIR}/../version.h
                 ${CMAKE_CURRENT_SOURCE_DIR}/includes/InsertUrlDialog.h
                 ${CMAKE_CURRENT_SOURCE_DIR}/includes/NewProjTab.h
                 ${CMAKE_CURRENT_SOURCE_DIR}/includes/ProgressTab.h
                 ${CMAKE_CURRENT_SOURCE_DIR}/includes/ConfirmTab.h
                 ${CMAKE_CURRENT_SOURCE_DIR}/includes/OptionsTab.h
                 ${CMAKE_CURRENT_SOURCE_DIR}/includes/StartTab.h
                PARENT_SCOPE)

set(MAIN_FORMS  ${CMAKE_CURRENT_SOURCE_DIR}/forms/AboutDialog.ui
                ${CMAKE_CURRENT_SOURCE_DIR}/forms/buttonPanel.ui
                ${CMAKE_CURRENT_SOURCE_DIR}/forms/ConfirmTab.ui
                ${CMAKE_CURRENT_SOURCE_DIR}/forms/FinalTab.ui
                ${CMAKE_CURRENT_SOURCE_DIR}/forms/InsertUrlDialog.ui
                ${CMAKE_CURRENT_SOURCE_DIR}/forms/mainForm.ui
                ${CMAKE_CURRENT_SOURCE_DIR}/forms/NewProjTab.ui 
                ${CMAKE_CURRENT_SOURCE_DIR}/forms/OptionsTab.ui
                ${CMAKE_CURRENT_SOURCE_DIR}/forms/ProgressTab.ui 
                ${CMAKE_CURRENT_SOURCE_DIR}/forms/StartTab.ui
                PARENT_SCOPE)

#QT4_WRAP_CPP(MAIN_HEADERS_MOC ${MAIN_HEADERS})
#QT4_WRAP_UI(MAIN_FORMS_HEADERS ${MAIN_FORMS})


# cleanup $build/*.cpp~ on "make clean"
SET_DIRECTORY_PROPERTIES(PROPERTIES
    ADDITIONAL_MAKE_CLEAN_FILES "${CMAKE_CURRENT_SOURCE_DIR}/*~")
