=== sources/options/CMakeLists.txt ===
#CMakeLists.txt

set(OPT_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/optionsbrowser.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/optionsbuild.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/OptionsDialog.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/BuildStringDialog.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/optionsexperts.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/optionsflow.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/optionslimits.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/optionslinks.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/optionslog.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/optionsmime.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/optionsproxy.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/optionsrulez.cpp
		${CMAKE_CURRENT_SOURCE_DIR}/optionsspider.cpp
                PARENT_SCOPE)

set(OPT_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/includes/optionsbrowser.h
		${CMAKE_CURRENT_SOURCE_DIR}/includes/optionsbuild.h
		${CMAKE_CURRENT_SOURCE_DIR}/includes/OptionsDialog.h
		${CMAKE_CURRENT_SOURCE_DIR}/includes/BuildStringDialog.h
		${CMAKE_CURRENT_SOURCE_DIR}/includes/optionsexperts.h
		${CMAKE_CURRENT_SOURCE_DIR}/includes/optionsflow.h
		${CMAKE_CURRENT_SOURCE_DIR}/includes/optionslimits.h
		${CMAKE_CURRENT_SOURCE_DIR}/includes/optionslinks.h
		${CMAKE_CURRENT_SOURCE_DIR}/includes/optionslog.h
		${CMAKE_CURRENT_SOURCE_DIR}/includes/optionsmime.h
		${CMAKE_CURRENT_SOURCE_DIR}/includes/optionsproxy.h
		${CMAKE_CURRENT_SOURCE_DIR}/includes/optionsrulez.h
		${CMAKE_CURRENT_SOURCE_DIR}/includes/optionsspider.h
                PARENT_SCOPE)

set(OPT_FORMS ${CMAKE_CURRENT_SOURCE_DIR}/forms/OptionsBrowser.ui
	      ${CMAKE_CURRENT_SOURCE_DIR}/forms/OptionsBuild.ui
	      ${CMAKE_CURRENT_SOURCE_DIR}/forms/BuildStringDialog.ui
	      ${CMAKE_CURRENT_SOURCE_DIR}/forms/OptionsDialog.ui
	      ${CMAKE_CURRENT_SOURCE_DIR}/forms/OptionsExperts.ui
	      ${CMAKE_CURRENT_SOURCE_DIR}/forms/OptionsFlow.ui
	      ${CMAKE_CURRENT_SOURCE_DIR}/forms/OptionsLimits.ui
	      ${CMAKE_CURRENT_SOURCE_DIR}/forms/OptionsLinks.ui
	      ${CMAKE_CURRENT_SOURCE_DIR}/forms/OptionsLog.ui
	      ${CMAKE_CURRENT_SOURCE_DIR}/forms/OptionsMime.ui
	      ${CMAKE_CURRENT_SOURCE_DIR}/forms/OptionsProxy.ui
	      ${CMAKE_CURRENT_SOURCE_DIR}/forms/OptionsRulez.ui
	      ${CMAKE_CURRENT_SOURCE_DIR}/forms/OptionsSpider.ui
                PARENT_SCOPE)

# IF(${USE_QT_VERSION} MATCHES "4")
#     QT4_WRAP_CPP(OPT_HEADERS_MOC ${OPT_HEADERS})
#     QT4_WRAP_UI(OPT_FORMS_HEADERS ${OPT_FORMS})
# ENDIF()
# 
# IF(${USE_QT_VERSION} MATCHES "5")
#     QT5_WRAP_CPP(OPT_HEADERS_MOC ${OPT_HEADERS})
#     QT5_WRAP_UI(OPT_FORMS_HEADERS ${OPT_FORMS})
# ENDIF()

# cleanup $build/*.cpp~ on "make clean"
SET_DIRECTORY_PROPERTIES(PROPERTIES
    ADDITIONAL_MAKE_CLEAN_FILES "${CMAKE_CURRENT_SOURCE_DIR}/*~")
