=== debian/changelog ===
httraqt (1.4.11-2) unstable; urgency=medium

  * [06ba9d7] Fix CMake 4 build. (Closes: #1112996)
  * [7ca87f2] chore(debian): Update Standards-Version to 4.7.2

 -- Anton Gladky <gladk@debian.org>  Thu, 09 Oct 2025 09:01:31 +0200

httraqt (1.4.11-1) unstable; urgency=medium

  * [0616b86] New upstream version 1.4.11. (Closes: #1020677)
  * [9bd1e36] Refresh patches.
  * [afc5a94] Update watch file format version to 4.
  * [b48f362] Use secure URI in Homepage field.
  * [bb713de] Update standards version to 4.6.1, no changes needed.
  * [c0b3ad1] Switch to QT6.
  * [3314f70] Drop doc-base file
  * [999eeed] Override false positive lintian error

 -- Anton Gladky <gladk@debian.org>  Tue, 31 Jan 2023 07:50:23 +0100
