=== debian/control ===
Source: httraqt
Standards-Version: 4.7.2
Maintainer: Anton Gladky <gladk@debian.org>
Section: web
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libhttrack-dev,
 qt6-base-dev,
 qt6-multimedia-dev,
 libssl-dev,
Vcs-Browser: https://salsa.debian.org/debian/httraqt
Vcs-Git: https://salsa.debian.org/debian/httraqt.git
Homepage: https://httraqt.sourceforge.net/
Rules-Requires-Root: no

Package: httraqt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: program for downloading of internet sites
 Program is intended for loading of Internet pages and/or their contents,
 equipped with flexible system of settings.
 HTTraQt - graphical user interface (GUI) for HTTrack library,
 developed in C++ and based on multiplatform Qt library.
