=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export BUILD_DATE=$(shell dpkg-parsechangelog -S Date)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_installchangelogs:
	dh_installchangelogs README

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_DATE="$(BUILD_DATE)"
